Subject: Re: [PATCH] fix t1504 on Windows

From: René Scharfe <[email-masked]>
Date: Fri, 06 Feb 2009 22:45:23 +0100

Johannes Sixt schrieb:
> René Scharfe schrieb:
>> Johannes Sixt schrieb:
>>> -GIT_CEILING_DIRECTORIES="foo:$TRASH_ROOT/sub"
>>> +GIT_CEILING_DIRECTORIES="/foo:$TRASH_ROOT/sub"
>>>  test_fail second_of_two
>>>
>>>  GIT_CEILING_DIRECTORIES="$TRASH_ROOT/sub:/bar"
>>>  test_fail first_of_two
>>>
>>> -GIT_CEILING_DIRECTORIES="foo:$TRASH_ROOT/sub:bar"
>>> +GIT_CEILING_DIRECTORIES="/foo:$TRASH_ROOT/sub:/bar"
>>>  test_fail second_of_three
>>
>> I don't, which makes me uneasy -- the tests shouldn't depend on details
>> in our setup. :-/
> 
> I updated my msysgit to the current master this moment, and I still need
> these two changes. Do you use an older msysgit? With 31d5dfeb0
> (2008-06-08) Steffen changed path mangling so that a text without a
> leading / or . is not converted. That's exactly what we see here.

Oh, yes, good idea.  I never updated the msys part of my installation.

My "uneasiness" doesn't mean that I'm against your changes above, in any
case.

>>> That said, I'm in the process of preparing a series that includes your
>>> patch and that does the proper cleanup and code moving that you again
>>> didn't do :-/ But it turns out that this is non-trivial because of
>>> bash's
>>> (MSYS's) I-know-better-what-is-a-path-and-what-not behavior. It will
>>> take
>>> some time...

> Johannes Sixt (4):
>       Make test-path-utils more robust against incorrect use
>       Move sanitary_path_copy to path.c (and rename to
>         normalize_path_copy)
>       Test and fix normalize_path_copy()
>       Remove unused normalize_absolute_path()

Yeah, OK.  I was aiming for a quick short fix, deferring cleanups to
when I have more time.  I wonder what patches one and three do, though.

René